gnutls_x509_crt_get_policy(3)

NAME
gnutls_x509_crt_get_policy - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_policy(gnutls_x509_crt_t crt, int indx, struct gnutls_x509_policy_st * policy, unsigned int * critical);

ARGUMENTS

gnutls_x509_crt_t crt
    should contain a gnutls_x509_crt_t structure

int indx
    This specifies which policy to return. Use (0) to get the first one.

struct gnutls_x509_policy_st * policy
    A pointer to a policy structure.

unsigned int * critical
    will be non-zero if the extension is marked as critical

DESCRIPTION
This function will extract the certificate policy (extension 2.5.29.32) specified by the given index.

The policy returned by this function must be deinitialized by using gnutls_x509_policy_release().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE if the extension is not present, otherwise a negative error value.

SINCE
3.1.5

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/